Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.ide.eclipse.model
[Java] Interface FileReference

    public interface FileReference

A reference to a file in eclipse.

Method Summary
`File` | `getFile()` Returns the target file.
`String` | `getJarURL()` Returns the jar URL of the file
`String` | `getPath()` Returns the logical path for the file.
`boolean` | `isRelativeToPathVariable()` Returns true if this reference is relative to a path variable.

Method Detail

### getFile

    public File getFile()

  Returns the target file.

### getJarURL

    public String getJarURL()

  Returns the jar URL of the file

### getPath

    public String getPath()

  Returns the logical path for the file.

### isRelativeToPathVariable

    public boolean isRelativeToPathVariable()

  Returns true if this reference is relative to a path variable.

Gradle API 1.10